> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a User Identity

> Deletes a specified [user identity](https://docs.seam.co/capability-guides/mobile-access/managing-mobile-app-user-accounts-with-user-identities#what-is-a-user-identity). This deletes the user identity and all associated resources, including any [credentials](https://docs.seam.co/api/acs/credentials/object), [acs users](https://docs.seam.co/api/acs/users/object) and [client sessions](https://docs.seam.co/api/client_sessions/object).



## OpenAPI

````yaml /openapi.json post /user_identities/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /user_identities/delete:
    post:
      tags:
        - /user_identities
      summary: Delete a User Identity
      description: >-
        Deletes a specified [user
        identity](https://docs.seam.co/capability-guides/mobile-access/managing-mobile-app-user-accounts-with-user-identities#what-is-a-user-identity).
        This deletes the user identity and all associated resources, including
        any [credentials](https://docs.seam.co/api/acs/credentials/object), [acs
        users](https://docs.seam.co/api/acs/users/object) and [client
        sessions](https://docs.seam.co/api/client_sessions/object).
      operationId: userIdentitiesDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                user_identity_id:
                  description: ID of the user identity that you want to delete.
                  format: uuid
                  type: string
              required:
                - user_identity_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.userIdentities.delete({
              user_identity_id: "7ad2566e-6fd8-466d-b8e4-c10a14a74fd3",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/user_identities/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "7ad2566e-6fd8-466d-b8e4-c10a14a74fd3"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: >-
            seam.user_identities.delete(user_identity_id="7ad2566e-6fd8-466d-b8e4-c10a14a74fd3")


            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.user_identities.delete(user_identity_id:
            "7ad2566e-6fd8-466d-b8e4-c10a14a74fd3")


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->user_identities->delete(
                user_identity_id: "7ad2566e-6fd8-466d-b8e4-c10a14a74fd3",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam user-identities delete --user_identity_id
            "7ad2566e-6fd8-466d-b8e4-c10a14a74fd3"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````